## node-opentip 2.4.6

=== Makefile ===
build: index.js components
	@component build

rebuild: index.js components
	rm -fr build
	make build

components:
	@component install

clean:
	rm -fr build components

downloads:
	./downloads/generate.coffee

release:
	cake build
	cake css
	make downloads

all:
	clear
	make clean
	make build

.PHONY: clean, downloads

=== debian/changelog ===
node-opentip (2.4.6-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Daniel Ring ]
  * Update debian/watch
  * Update installation paths

  [ Yadd ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Fix filenamemangle
  * Fix GitHub tags regex
  * Drop dependency to nodejs
  * Use dh-sequence-nodejs auto install

 -- Yadd <yadd@debian.org>  Wed, 08 Dec 2021 11:14:31 +0100

node-opentip (2.4.6-2) unstable; urgency=medium

  * Mark package as Multi-Arch: foreign

 -- Daniel Ring <dring@wolfishly.me>  Mon, 31 Dec 2018 15:40:27 -0800

node-opentip (2.4.6-1) unstable; urgency=low

  * Initial release (Closes: #885972)

 -- Daniel Ring <dring@wolfishly.me>  Sun, 11 Nov 2018 18:47:58 +0530

=== debian/control ===
Source: node-opentip
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Ring <dring@wolfishly.me>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , grunt
 , libjs-excanvas
 , node-grunt-contrib-coffee
 , node-grunt-contrib-concat
 , node-grunt-contrib-uglify
 , node-stylus
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-opentip
Vcs-Git: https://salsa.debian.org/js-team/node-opentip.git
Homepage: https://www.opentip.org
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-opentip
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: JavaScript tooltip class
 Opentip is a free open-source JavaScript tooltip class. It supports stems,
 automatic content download with AJAX, styling, automatic repositioning to
 remain within the browser viewport, user-defined triggers, and CSS3
 animations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	grunt
	stylus <css/stylus/opentip.styl >css/opentip.css

override_dh_auto_test:
	# Not a real node module

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-opentip-$1/ \
 https://github.com/enyo/opentip/tags .*/archive/.*/v?([\d\.]+).tar.gz
